Debian Bug report logs - #689653
ITP: libmath-geometry-voronoi-perl -- compute Voronoi diagrams from sets of points

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bas Wijnen <wijnen@debian.org>

Date: Thu, 4 Oct 2012 19:21:01 UTC

Owned by: Florian Schlichting <fsfs@debian.org>

Severity: wishlist

Fixed in version libmath-geometry-voronoi-perl/1.3-1

Done: Florian Schlichting <fsfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wijnen@debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#689653; Package wnpp. (Thu, 04 Oct 2012 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
New Bug report received and forwarded. Copy sent to wijnen@debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Thu, 04 Oct 2012 19:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libmath-geometry-voronoi-perl -- compute Voronoi diagrams from sets of points
Date: Thu, 04 Oct 2012 21:18:24 +0200
Package: wnpp
Severity: wishlist

* Package name    : libmath-geometry-voronoi-perl
  Version         : 1.3
  Upstream Author : Sam Tregar <sam@tregar.com>
* URL             : http://search.cpan.org/~samtregar/Math-Geometry-Voronoi-1.3/
* License         : unknown
  Programming Lang: Perl
  Description     : compute Voronoi diagrams from sets of points

I want to package Slic3r (#689636). This is a dependency for it. I don't know
Perl myself, and don't think it's a good idea to let a Perl module be
maintained by someone who doesn't. So I hope someone who does wants to create
and maintain this package.

Unfortunately the licensing of this module is unclear and needs to be sorted
out. If you would be interested in maintaining this package, but don't want to
do this, please let me know and I'll see what I can do myself.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689653; Package wnpp. (Fri, 05 Oct 2012 21:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 05 Oct 2012 21:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 689653@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: sjf@bell-labs.com
Cc: 689653@bugs.debian.org
Subject: Voronoi license question
Date: Fri, 5 Oct 2012 23:11:10 +0200
Hi,

I'm writing to you as the original author of Voronoi. We from the Debian
Perl Team would like to package a Perl module, Math::Geometry::Voronoi
(http://search.cpan.org/~samtregar/Math-Geometry-Voronoi-1.3/lib/Math/Geometry/Voronoi.pm),
for Debian. The module is basically a wrapper around Derek Bradley's
improved version of your C implementation.

It seems your Voronoi code does not come with any kind of license
statement, a fact that's also noted at the above mentioned URL.
Copyright/license information is needed in order for Debian (and others)
to be able to legally distribute the software. 

Could you please give us details on the following points (replying to
this email including the bug addess I've cc'd is fine): 

  * years of copyright of your Voronoi code
  * copyright holders' names and email addesses (if you're not the
    copyright holder yourself)
  * the license under which Voronoi can be redistributed and modified

I apologize in advance for this request, as I understand that the last
thing most authors want to deal with is legal administrivia like this.
I'm not a lawyer, but it's my understanding that both copyright and
licensing information is vital for the continued success of open source
software. Copyright is what allows you to assert a license, and a
license is what gives others the rights to use and re-distribute your
software. A great article discussing some of this is "What is Copyleft?"
by Richard Stallman: http://www.gnu.org/copyleft/

Thank you, and sorry for the noise.
Florian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689653; Package wnpp. (Fri, 14 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 689653@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: "Fortune, Steven (Steven)" <steven.fortune@alcatel-lucent.com>
Cc: 689653@bugs.debian.org
Subject: Re: Voronoi license question
Date: Fri, 14 Dec 2012 21:35:00 +0100
THANK you!

On Thu, Dec 13, 2012 at 08:20:55PM +0000, Fortune, Steven (Steven) wrote:
> Hi Florian:
> The Voronoi package will include the license, attached.
> --Steve Fortune
> 
> 
> -----Original Message-----
> From: Florian Schlichting [mailto:fschlich@ZEDAT.FU-Berlin.DE]
> Sent: Friday, October 05, 2012 5:11 PM
> To: Fortune, Steven (Steven)
> Cc: 689653@bugs.debian.org
> Subject: Voronoi license question
> 
> Hi,
> 
> I'm writing to you as the original author of Voronoi. We from the Debian
> Perl Team would like to package a Perl module, Math::Geometry::Voronoi
> (http://search.cpan.org/~samtregar/Math-Geometry-Voronoi-1.3/lib/Math/Geometry/Voronoi.pm),
> for Debian. The module is basically a wrapper around Derek Bradley's
> improved version of your C implementation.
> 
> It seems your Voronoi code does not come with any kind of license
> statement, a fact that's also noted at the above mentioned URL.
> Copyright/license information is needed in order for Debian (and others)
> to be able to legally distribute the software.
> 
> Could you please give us details on the following points (replying to
> this email including the bug addess I've cc'd is fine):
> 
>   * years of copyright of your Voronoi code
>   * copyright holders' names and email addesses (if you're not the
>     copyright holder yourself)
>   * the license under which Voronoi can be redistributed and modified
> 
> I apologize in advance for this request, as I understand that the last
> thing most authors want to deal with is legal administrivia like this.
> I'm not a lawyer, but it's my understanding that both copyright and
> licensing information is vital for the continued success of open source
> software. Copyright is what allows you to assert a license, and a
> license is what gives others the rights to use and re-distribute your
> software. A great article discussing some of this is "What is Copyleft?"
> by Richard Stallman: http://www.gnu.org/copyleft/
> 
> Thank you, and sorry for the noise.
> Florian

> Copyright (c) <1987> <Alcatel-Lucent, as successor to AT&T Bell Laboratories, Inc.>
> Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
> The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
> 



Changed Bug title to 'ITP: libmath-geometry-voronoi-perl -- compute Voronoi diagrams from sets of points' from 'RFP: libmath-geometry-voronoi-perl -- compute Voronoi diagrams from sets of points' Request was from Florian Schlichting <fsfs@debian.org> to control@bugs.debian.org. (Thu, 23 May 2013 19:48:16 GMT) Full text and rfc822 format available.

Owner recorded as Florian Schlichting <fsfs@debian.org>. Request was from Florian Schlichting <fsfs@debian.org> to control@bugs.debian.org. (Thu, 23 May 2013 19:48:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 24 May 2013 08:06:16 GMT) Full text and rfc822 format available.

Reply sent to Florian Schlichting <fsfs@debian.org>:
You have taken responsibility. (Sat, 25 May 2013 16:03:05 GMT) Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. (Sat, 25 May 2013 16:03:05 GMT) Full text and rfc822 format available.

Message #26 received at 689653-close@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: 689653-close@bugs.debian.org
Subject: Bug#689653: fixed in libmath-geometry-voronoi-perl 1.3-1
Date: Sat, 25 May 2013 16:00:06 +0000
Source: libmath-geometry-voronoi-perl
Source-Version: 1.3-1

We believe that the bug you reported is fixed in the latest version of
libmath-geometry-voronoi-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689653@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Schlichting <fsfs@debian.org> (supplier of updated libmath-geometry-voronoi-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 May 2013 21:40:53 +0200
Source: libmath-geometry-voronoi-perl
Binary: libmath-geometry-voronoi-perl
Architecture: source amd64
Version: 1.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Florian Schlichting <fsfs@debian.org>
Description: 
 libmath-geometry-voronoi-perl - Perl module to compute Voronoi diagrams from sets of points
Closes: 689653
Changes: 
 libmath-geometry-voronoi-perl (1.3-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #689653)
Checksums-Sha1: 
 d8fa78ab0295d5d0ced407e52b9e2b79ae7b8f93 2219 libmath-geometry-voronoi-perl_1.3-1.dsc
 43f8a53316bdb81cc8af9bc126f4899b1cc24a7f 31865 libmath-geometry-voronoi-perl_1.3.orig.tar.gz
 8a1d9dbc2fa2809c90b1c605cec86c730dcd9888 2276 libmath-geometry-voronoi-perl_1.3-1.debian.tar.gz
 00d86fff29163c71b90326bf96839ff9ea1e3202 26656 libmath-geometry-voronoi-perl_1.3-1_amd64.deb
Checksums-Sha256: 
 b8c18f871de7f77e80c104726ab4c5b0e6e609dc41fe12be2066c137013f09b9 2219 libmath-geometry-voronoi-perl_1.3-1.dsc
 72075e4e9883cee51446ba9511264c8c32a015a80f4a5648a3f6b382c534402c 31865 libmath-geometry-voronoi-perl_1.3.orig.tar.gz
 ccb1e9dcaa5c83483d66056515ab7609c19853b667e6fb2a15cc7bf3de35a095 2276 libmath-geometry-voronoi-perl_1.3-1.debian.tar.gz
 c72547153183ce542bbe6a103f62173ba50cc3ab3e314d7859393768cab733c6 26656 libmath-geometry-voronoi-perl_1.3-1_amd64.deb
Files: 
 b08e3f4659eb3c842f7240f9297bf945 2219 perl optional libmath-geometry-voronoi-perl_1.3-1.dsc
 44392be55ff56870aaff286dd735a5e2 31865 perl optional libmath-geometry-voronoi-perl_1.3.orig.tar.gz
 f0ab73b8a028985bdff66239f964a6f2 2276 perl optional libmath-geometry-voronoi-perl_1.3-1.debian.tar.gz
 131d4c2903b92e9f6bf956d633a16fc4 26656 perl optional libmath-geometry-voronoi-perl_1.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRnnH8AAoJEBKXO25y3Ae1/bMQAJPk4lC5kREjmrMHH3pACF32
Akh86mpbov4/0fquWegsbaa2kCmXReQWBaKOXU7GuCnhdUONOD5BUJP21DbIHAnV
v9yZRKVXQn3djsr3ZYHaHj4hBzBenGzqtygxqXYbkSCW1hGcP/pUCDJjtZW+i9Fl
oMLvQNztpYfK1/Ejb8FeAqBK/qUjan/BPbwlr1DYe6MbeTh6XNkl91WkfTeLMHOC
dPSz9hfvohkijiU/nDcrEBYgcFT30Kj6yQh2DJ3a6sD280YM+9nbEoLSEpJtFqR9
ezUWDweL/4wLEJpTgg/hSKfMVAT89nbgSGLEArxHd+4edNVfnsNCdz9uDMLO2Q0+
JdSXAIxIHZ8lqgsvJV3wrVspeABjEuNhzaKjEibw8Eum5nmsjW7amb+m4upYTmwp
hNOV29bAPD1F8fLFUman3zWqqmbbP1zvAuolbinJWDuHH39Kmm4KV2T8cbaMWdBH
oHr/S1vgj+FQTvo/pHZF0cyUrGdrFYvXCudX0fH3HRV3Oh/zEXGNjqRxVeWZsKMj
6zrL65u1KqbBC5KwS0GVOYCRqn0zuibN7bHBoeaagvouqSTMKJuohHFtGejk7Nx9
PnV7mtFQvHPI3P3/i+ENx8qesM0axFbN3+jqbIL+Scg8Twg0Nf+e22Ltn5yeIC32
JMbsLF1Ay49l30WHSwbJ
=J2Uo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Jun 2013 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:20:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.